> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-findings-decoys-followup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List the generated reports for an access review campaign, each with a
 time-limited download_url and its output format.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/access_review/{access_review_id}/report
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/access_review/{access_review_id}/report:
    get:
      tags:
        - Access Review
      summary: List
      description: |-
        List the generated reports for an access review campaign, each with a
         time-limited download_url and its output format.
      operationId: c1.api.accessreview.v1.AccessReviewReportService.List
      parameters:
        - in: path
          name: access_review_id
          required: true
          schema:
            description: The accessReviewId field.
            type: string
        - in: query
          name: page_size
          schema:
            description: The pageSize field.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: The pageToken field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.accessreview.v1.AccessReviewReportServiceListResponse
          description: Successful response
components:
  schemas:
    c1.api.accessreview.v1.AccessReviewReportServiceListResponse:
      description: The AccessReviewReportServiceListResponse message.
      properties:
        list:
          description: The list field.
          items:
            $ref: '#/components/schemas/c1.api.accessreview.v1.AccessReviewReport'
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type: string
      title: Access Review Report Service List Response
      type: object
      x-speakeasy-name-override: AccessReviewReportServiceListResponse
    c1.api.accessreview.v1.AccessReviewReport:
      description: The AccessReviewReport message.
      properties:
        accessReviewId:
          description: The accessReviewId field.
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        downloadUrl:
          description: The downloadUrl field.
          type: string
        format:
          description: Output format of the generated file (XLSX / JSON / CSV).
          enum:
            - ACCESS_REVIEW_REPORT_FORMAT_UNSPECIFIED
            - ACCESS_REVIEW_REPORT_FORMAT_XLSX
            - ACCESS_REVIEW_REPORT_FORMAT_JSON
            - ACCESS_REVIEW_REPORT_FORMAT_CSV
          type: string
          x-speakeasy-unknown-values: allow
        hashes:
          additionalProperties:
            type: string
          description: The hashes field.
          type: object
        id:
          description: The id field.
          type: string
        state:
          description: The state field.
          enum:
            - REPORT_STATE_UNSPECIFIED
            - REPORT_STATE_PENDING
            - REPORT_STATE_OK
            - REPORT_STATE_ERROR
          type: string
          x-speakeasy-unknown-values: allow
      title: Access Review Report
      type: object
      x-speakeasy-name-override: AccessReviewReport
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````